## Index

### Type aliases

- CallBackMap

### Functions

- map

## Type aliases

### CallBackMap

CallBackMap: function

- Defined in methods/map.ts:2

returns any type values

#### Type declaration

- - (value: T, index?: undefined | number, collection?: T[]): Promise<R>

  - #### Parameters

    - ##### value: T

    - ##### Optional index: undefined | number

    - ##### Optional collection: T[]

    #### Returns Promise<R>

## Functions

### map

- map<T, R>(elements: T[], cb: CallBackMap<T, R>): Promise<R[]>

- - Defined in methods/map.ts:18

  Async Map function

  export
  template

    T

  template

    R

  #### Type parameters

  - #### T

  - #### R

  #### Parameters

  - ##### elements: T[]

  - ##### cb: CallBackMap<T, R>

  #### Returns Promise<R[]>

Generated using TypeDoc